## Interface Swift_InputByteStream

(line 19)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/InputByteStream.php

##### An abstract means of writing data.

Classes implementing this interface may use a subsystem which requires less memory than working with large strings of data.

- author: - Chris Corbyn

Classes extended from Swift_InputByteStream:

Swift_KeyCache_KeyCacheInputStream
  Writes data to a KeyCache using a stream.

Swift_Transport_IoBuffer
  Buffers input and output to a resource.

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
void bind (Swift_InputByteStream $is)
void commit ()
void flushBuffers ()
void unbind (Swift_InputByteStream $is)
int write (string $bytes)

#### Method bind (line 53)

#### void bind( Swift_InputByteStream $is)

##### Attach $is to this stream.

The stream acts as an observer, receiving all data that is written. All write() and flushBuffers() operations will be mirrored.

#### Parameters

- Swift_InputByteStream $is:

#### Info

- access - public

#### Method commit (line 44)

#### void commit( )

##### For any bytes that are currently buffered inside the stream, force them off the buffer.

#### Info

- throws - Swift_IoException
- access - public

#### Method flushBuffers (line 70)

#### void flushBuffers( )

##### Flush the contents of the stream (empty it) and set the internal pointer to the beginning.

#### Info

- throws - Swift_IoException
- access - public

#### Method unbind (line 63)

#### void unbind( Swift_InputByteStream $is)

##### Remove an already bound stream.

If $is is not bound, no errors will be raised. If the stream currently has any buffered data it will be written to $is before unbinding occurs.

#### Parameters

- Swift_InputByteStream $is:

#### Info

- access - public

#### Method write (line 36)

#### int write( string $bytes)

##### Writes $bytes to the end of the stream.

Writing may not happen immediately if the stream chooses to buffer. If you want to write these bytes with immediate effect, call commit() after calling write().

This method returns the sequence ID of the write (i.e. 1 for first, 2 for second, etc etc).

#### Parameters

- string $bytes:

#### Info

- throws - Swift_IoException
- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:23 +0000 by phpDocumentor 1.4.3